// An ADD comment will be used to indicate variables and code added
// to the shader to increase functionality.
// The CHANGE comment will show changes made to demo shader code from 
// the previous version.

#version 150 core

// ADD
// This will be coming in OpenGL as a value interpolated for the fragment
// from vertex colors provided by the vertex shader.
in vec3 Color; 

out vec4 fragmentColor;

void main()
{
    // CHANGE
    // We simply pass on the incoming rgb color as opaque.
    // Color format is (red, green, blue, alpha [aka transparency: 1=opaque]).
    // Color component and alpha range is a float, 0.0f-1.0f
    fragmentColor = vec4(Color, 1.0); 
}
