#version 150 core

// An ADD comment will be used to indicate variables and code added
// to the shader to increase functionality.
// The CHANGE comment will show changes made to demo shader code from 
// previous version.

in vec3 position;

// ADD
// The vertex color data: red, green, blue (0.0-1.0).
in vec3 color;

// ADD
// These are the user variables in which values are passed out of the shader.
// We only send out the vertex color.
out vec3 Color;

void main()
{
    gl_Position = vec4(position, 1.0);

    // ADD
    // And pass the color on. OpenGL will handle interpolating areas 
    // between vertices.
    Color = color;
}
