// An ADD comment will be used to indicate variables and code added
// to the shader to increase functionality.
// The CHANGE comment will show changes made to demo shader code from 
// the previous version.

#version 150 core

// CHANGE
// The color is now coming in as a vec4 including the alpha (transparency) 
// value. This will be coming in from OpenGL as a value interpolated for the
// fragment from vertex colors provided by the vertex shader.
in vec4 Color; 

out vec4 fragmentColor;

void main()
{
    // CHANGE
    // We simply pass on the incoming and fully specified rgba color.
    fragmentColor = Color; 
}
